package com.ywt.outpatient.taihe.rpc.domain.entity.center;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * (UserUnions)实体类
 *
 * @author johnson lin
 * @since 2019-05-09 15:32:03
 */
@Entity
@Table(name = "user_unions")
public class UserUnions implements Serializable {
    private static final long serialVersionUID = 234514748418957890L;
    
    @Id
    @Column(name = "id")
    private Integer id;
    
    /**
     * 用户ID，对应user表ID，角色可为医生，药商，代表
     */
    @Column(name = "user_id")
    private Integer userId;
    
    /**
     * 关联ID，对应user表ID，角色可为医生，代表，患者
     */
    @Column(name = "union_user_id")
    private Integer unionUserId;
    
    /**
     * 1-药商代表关联，2-药商、代表和医生关联，3-医生和患者关联,4-患者关注医生
     */
    @Column(name = "type")
    private Integer type;
    
    /**
     * 0-启用，1-禁用
     */
    @Column(name = "status")
    private Integer status;
    
    /**
     * 是否删除
     */
    @Column(name = "deleted")
    private Boolean deleted;
    
    /**
     * 新增时间
     */
    @Column(name = "create_time")
    private LocalDateTime createTime;
    
    /**
     * 修改时间
     */
    @Column(name = "update_time")
    private LocalDateTime updateTime;
    
    /**
     * 适用于type=2,用于判断医生扫码经销商的时候是否填写基本信息,0-没有填写，1-填写
     */
    @Column(name = "base_status")
    private Integer baseStatus;
    
    /**
     * 患者和医生关联中是否发生过处方业务：0-无，1-有
     */
    @Column(name = "has_presc")
    private Integer hasPresc;
    


    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getUserId() {
        return userId;
    }

    public void setUserId(Integer userId) {
        this.userId = userId;
    }

    public Integer getUnionUserId() {
        return unionUserId;
    }

    public void setUnionUserId(Integer unionUserId) {
        this.unionUserId = unionUserId;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Boolean getDeleted() {
        return deleted;
    }

    public void setDeleted(Boolean deleted) {
        this.deleted = deleted;
    }

    public LocalDateTime getCreateTime() {
        return createTime;
    }

    public void setCreateTime(LocalDateTime createTime) {
        this.createTime = createTime;
    }

    public LocalDateTime getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(LocalDateTime updateTime) {
        this.updateTime = updateTime;
    }

    public Integer getBaseStatus() {
        return baseStatus;
    }

    public void setBaseStatus(Integer baseStatus) {
        this.baseStatus = baseStatus;
    }

    public Integer getHasPresc() {
        return hasPresc;
    }

    public void setHasPresc(Integer hasPresc) {
        this.hasPresc = hasPresc;
    }

}